Bug 125671 - [PATCH] sysutils/htop: update to 0.8
Summary: [PATCH] sysutils/htop: update to 0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-16 07:50 UTC by Yi-Jheng Lin
Modified: 2008-07-18 05:20 UTC (History)
1 user (show)

See Also:


Attachments
htop-0.8.patch (7.56 KB, patch)
2008-07-16 07:50 UTC, Yi-Jheng Lin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yi-Jheng Lin 2008-07-16 07:50:00 UTC
- Update to 0.8
- Add a new knob UNICODE, which uses libncursesw instead of libncurses to enable Unicode support.
- Disable "CPU affinity configuration", which uses some unsupported system calls in FreeBSD.

Added file(s):
- files/patch-Makefile.am
- files/patch-Process.c
- files/patch-Process.h
- files/patch-configure.ac
- files/patch-htop.c

Port maintainer (tshadwick@oss-solutions.com) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-07-16 07:50:19 UTC
Maintainer of sysutils/htop,

Please note that PR ports/125671 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/125671

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-07-16 07:50:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Rong-En Fan freebsd_committer 2008-07-16 10:34:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2008-07-16 17:36:10 UTC
State Changed
From-To: feedback->open

From misfiled PR ports/125681: 

Date: Wed, 16 Jul 2008 10:00:31 -0500 
Comment 5 Yi-Jheng Lin 2008-07-17 04:40:57 UTC
I modified the Makefile to auto-enable the Unicode support.

--- htop-0.8.Makefile.patch begins here ---
--- sysutils/htop/Makefile.orig	2008-02-07 03:01:32.000000000 +0800
+++ sysutils/htop/Makefile	2008-07-16 18:22:18.000000000 +0800
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	htop
-PORTVERSION=	0.6.6
+PORTVERSION=	0.8
 CATEGORIES=	sysutils
 MASTER_SITES=	SF
 
@@ -16,10 +16,25 @@
 NOT_FOR_ARCHS=	sparc64
 
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--with-proc=/compat/linux/proc
+CONFIGURE_ARGS=	--with-proc=/compat/linux/proc --enable-unicode
+USE_AUTOTOOLS=	autoconf:261 aclocal:19 automake:19
+ACLOCAL_ARGS=	-I ${LOCALBASE}/share/aclocal
+
+USE_PYTHON_BUILD=	yes
+
 MAN1=	htop.1
 
+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} < 602107 || (${OSVERSION} > 700000 && ${OSVERSION} < 700033)
+LIB_DEPENDS+=	ncursesw.5:${PORTSDIR}/devel/ncurses
+.endif
+
+post-patch:
+	@${REINPLACE_CMD} -e 's:/usr/bin/python:${LOCALBASE}/bin/python:' ${WRKSRC}/scripts/MakeHeader.py
+
 pre-configure:
 	@[ -f /compat/linux/proc/stat ] || { ${CAT} ${PKGMESSAGE}; ${FALSE}; }
+	cd ${WRKSRC} && ${ACLOCAL}
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
--- htop-0.8.Makefile.patch ends here ---

-- 
__   ________     ___ _   _     Name:   æå®æ¿ Yi-Jheng, Lin
\ \ / /__  / |   |_ _| \ | |    E-Mail: yzlin1985@gmail.com, yzlin@cs.nctu.edu.tw
 \ V /  / /| |    | ||  \| |    MSN:    tacolintacolin@hotmail.com
  | |  / /_| |___ | || |\  |    Web:    http://blog.yzlin.org
  |_| /____|_____|___|_| \_|    Flickr: http://www.flickr.com/photos/yzlin1985/
Comment 6 Rong-En Fan freebsd_committer 2008-07-18 05:14:50 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 7 dfilter service freebsd_committer 2008-07-18 05:15:02 UTC
rafan       2008-07-18 04:14:47 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/htop        Makefile distinfo 
  Added files:
    sysutils/htop/files  patch-Makefile.am patch-Process.c 
                         patch-Process.h patch-configure.ac 
                         patch-htop.c 
  Log:
  - Update to 0.8
  - Enable unicode support
  - Disable plsa lib (CPU affinity)
  
  PR:             ports/125671
  Submitted by:   Yi-Jheng Lin <yzlin at cs.nctu.edu.tw>
  Approved by:    Tony Shadwick <tshadwick at oss-solutions.com> (maintainer)
  
  Revision  Changes    Path
  1.5       +17 -3     ports/sysutils/htop/Makefile
  1.2       +3 -3      ports/sysutils/htop/distinfo
  1.1       +18 -0     ports/sysutils/htop/files/patch-Makefile.am (new)
  1.1       +28 -0     ports/sysutils/htop/files/patch-Process.c (new)
  1.1       +24 -0     ports/sysutils/htop/files/patch-Process.h (new)
  1.1       +14 -0     ports/sysutils/htop/files/patch-configure.ac (new)
  1.1       +41 -0     ports/sysutils/htop/files/patch-htop.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"